import sqlite3 as lite
import sys

def insertar():
    con = None
    print "a"
    try:
        print "b"
        con = lite.connect('Pollentia')
        cur = con.cursor()
        fichero = open("22d5.txt", "r")
        filas=fichero.readlines()
        latTemp="";
        longTemp="";
		
        print "c"
        for i in filas:
            ide,latitud,longitud,grados,importante=i.split("-")
            importante=importante.replace("\n","")
            grados=float(grados)
            if latTemp!=latitud and longTemp!=longitud or importante!="":
                    if importante=="":
                            cur.execute("INSERT INTO rutas (longitud,latitud,grados) VALUES ('%s','%s',%i)"%(longitud,latitud,int(grados)))
                    else:
                            cur.execute("INSERT INTO rutas (longitud,latitud,grados,importante) VALUES ('%s','%s',%i,'%s')"%(longitud,latitud,int(grados),importante))  
                    con.commit()
                    print "."
            else:
                    print"punto saltado"
            latTemp=latitud
            longTemp=longitud
        print "fin de importacion"

    except lite.Error, e:
        
        print "Error %s:" % e.args[0]
        sys.exit(1)
        
    finally:
        
        if con:
            con.close()

insertar()
